org.eclipse.aether.internal.impl

## Class Slf4jLoggerFactory

- java.lang.Object
- - org.eclipse.aether.internal.impl.Slf4jLoggerFactory

- All Implemented Interfaces:
    Service, LoggerFactory

      @Named
      public class Slf4jLoggerFactory
      extends Object
      implements LoggerFactory, Service

  A logger factory that delegates to Slf4J logging.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Slf4jLoggerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Logger` | `getLogger(String name)` Gets a logger for a class with the specified name.
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `static boolean` | `isSlf4jAvailable()`
    `Slf4jLoggerFactory` | `setLoggerFactory(org.slf4j.ILoggerFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Slf4jLoggerFactory

          public Slf4jLoggerFactory()

  - ### Method Detail

    - #### isSlf4jAvailable

          public static boolean isSlf4jAvailable()

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public Slf4jLoggerFactory setLoggerFactory(org.slf4j.ILoggerFactory factory)

    - #### getLogger

          public Logger getLogger(String name)

      Description copied from interface: `LoggerFactory`
      Gets a logger for a class with the specified name.
      Specified by:
        `getLogger` in interface `LoggerFactory`
      Parameters:
        `name` - The name of the class requesting a logger, must not be `null`.
      Returns:
        The requested logger, never `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.